TK1Kelompok7/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include(('home.urls'), namespace='home')),
    path('dataprov/', include(('dataprov.urls', 'dataprov'), namespace='dataprov')),
    path('donasi/', include(('donasi.urls'),namespace='donasi')),
    path('rumahsakit/',include(('rumahsakit.urls'), namespace='rumahsakit')),
]

donasi/urls.py
from django.urls import path
from . import views

app_name = 'donasi'

urlpatterns = [
    path('', views.donasi , name='donasi'),
    path('covid/',views.createDonasi,name='createDonasi'),
]

home/urls.py
from django.urls import path
from . import views

app_name = 'home'

urlpatterns = [
    path('', views.home_views, name='home'),
]

donasi/models.py
from django.db import models

# Create your models here.
class Donasi(models.Model):
    nama = models.CharField(max_length=50)
    pesan_singkat = models.CharField(max_length=100)
    jumlah = models.DecimalField(max_digits=8, decimal_places=2)
    tanggal = models.DateField(auto_now_add = True)

donasi/forms.py
from django import forms

from .models import Donasi

class DonasiForm(forms.ModelForm):
    class Meta:
        model = Donasi
        fields = [
            'nama',
            'pesan_singkat',
            'jumlah',
        ]

donasi/views.py
from django.shortcuts import render,redirect
from django.db.models import Sum
from .models import Donasi
from .forms import DonasiForm

# Create your views here.
def donasi(request):
    all_donasi = Donasi.objects.all().order_by('-id')[:5]
    jumlah = Donasi.objects.aggregate(Sum('jumlah'))
    context = {
        'all_donasi':all_donasi,
        'jumlah':jumlah
    }
    return render(request,'donasi.html',context)

def createDonasi(request):
    donasi_form = DonasiForm(request.POST or None)
    if request.method == 'POST' :
        if donasi_form.is_valid():
            donasi_form.save()
        return redirect('donasi:donasi')

    context = {
        "page_title":"Silahkan Berdonasi",
        "donasi_form":donasi_form,
    }
    return render(request,'create.html',context)

donasi/templates/create.html
{% extends 'base.html' %}

{% block content %}
<h1> {{page_title}} </h1>
<br>
<form method="POST">
    {% csrf_token %}
    <table>
        {{donasi_form.as_table}}
    </table>
    <br>
    <button type="Submit">Donasi</button>
</form>

{% endblock %}

donasi/templates/donasi.html
{% extends 'base.html' %}
{% block app_css %}
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
    integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
    crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
    integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
    crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
    integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
    crossorigin="anonymous"></script>
{% endblock app_css %}

{% block content %}
{% load humanize %}
<div class="container">
    <div class="row d-flex justify-content-center">
        <div class="col-md-10">
            <!-- style="background-color:#5AC8FA; border:2px solid #5AC8FA;" -->
            <div class="card mb-3" style="background-color:#5AC8FA; border:2px solid #5AC8FA;">
                <div class="card-body">
                    <h3 class="card-title">Penggalangan Donasi <br> Covid 19</h3>
                    <div class="d-flex pt-5 justify-content-between">
                        <div>
                            <h5>Rp {{ jumlah.jumlah__sum|floatformat:2|intcomma }}</h5>
                        </div>
                        <div>
                            <!-- style="background-color:#FF3B30; color:white;" -->
                            <a href="{% url 'donasi:createDonasi'%}" class="btn"
                                style="background-color:#FF3B30; color:white;">Donate Now</a>
                        </div>
                    </div>
                </div>
                <br>
            </div>
        </div>
        <div class=" col-md-10">
            <!--  -->

            <div class="card mb-3" style="border:2px solid #5AC8FA;">

                <div class="card-body">
                    {% for donasi in all_donasi %}
                    <div class="d-flex pt-5 justify-content-between">
                        <div>
                            <p>{{donasi.nama}} <br> {{donasi.pesan_singkat}}</p>
                        </div>
                        <div>
                            <p>Rp {{donasi.jumlah|intcomma}}</p>
                        </div>
                    </div>
                    {% endfor %}
                </div>

            </div>

        </div>
    </div>
</div>
{% endblock %}